import { defineConfig } from "vite";
import react from "@vitejs/plugin-react";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [react()],
  resolve: {
    alias: {
      "@": "/src",
    },
  },
  server: {
    port: 3688,
    open: true,
    proxy: {
      "/login": {
        target: "http://192.168.2.21:21601",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/login/, ""),
      },
      "/apis": {
        // target: "http://172.23.0.46:21610",
        // target: "http://192.168.31.172:21610",
        target: "http://192.168.31.172:33011",
        // target: "http://171.217.92.33:33011",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/apis/, ""),
      },
      "/mainBody": {
        target: "http://192.168.2.21:21601",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/mainBody/, ""),
      },
      "/assets": {
        target: "https://xct.cdhncy.cn/file",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/assets/, ""),
      },
    },
  },
});
